from django.conf import settings

def session_settings(request):
    return {
        'session_timeout': settings.SESSION_COOKIE_AGE,
        'warning_time': settings.WARNING_TIME
    }
    
# context_processors.py (crea este nuevo archivo en tu app)
from datetime import datetime

def expiration_date(request):
    return {
        'expiration_date': datetime(2026, 12, 31)  # Misma fecha que en el middleware
    }